import React from "react";
interface ExistingSpellCheckLanguageIProps {
    language: string;
    /**
     * The label to render on the component. If not provided, the language code will be used.
     */
    label?: string;
    onRemoved(language: string): void;
}
interface SpellCheckLanguagesIProps {
    languages: Array<string>;
    onLanguagesChange(languages: Array<string>): void;
}
interface SpellCheckLanguagesIState {
    newLanguage: string;
}
export declare class ExistingSpellCheckLanguage extends React.Component<ExistingSpellCheckLanguageIProps> {
    private onRemove;
    render(): React.ReactNode;
}
export default class SpellCheckLanguages extends React.Component<SpellCheckLanguagesIProps, SpellCheckLanguagesIState> {
    constructor(props: SpellCheckLanguagesIProps);
    private onRemoved;
    private onAddClick;
    private onNewLanguageChange;
    render(): React.ReactNode;
}
export {};
